#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int x, y, a, b;
    printf("Unesi rezultate iz pisma, pa sa poluvremena\n");
    scanf("%ld %ld %ld %ld", &a, &b, &x, &y);
    if(x==a && y<b)
        printf("drugi");
    else
        if(y==b && x<a)
            printf("prvi");
        else
            if(x==a && y==b)
                printf("nijedan");
            else
                printf("?");
}